import Modeler from "bpmn-js/lib/Modeler";

import inherits from "inherits";

import CustomPalette from "./customModeler/palette";
import CustomContextPad from "./customModeler/contextPad";
import CustomPopMenu from "./customModeler/popupMenu";

export default function CustomModeler(options) {
  Modeler.call(this, options);

  this._customElements = [];
}

inherits(CustomModeler, Modeler);

CustomModeler.prototype._modules = [].concat(CustomModeler.prototype._modules, [
  CustomPalette,
  CustomContextPad,
  CustomPopMenu,
]);
